HanMacWrdKTextInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
HanMacWrdKTextInternal::State Struct Reference

Internal: the state of a HanMacWrdKText. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
int | m_version
| the file version More...
std::multimap< long, std::shared_ptr< HanMacWrdKZone > > | m_IdTextMaps
| the map of id -> text zone More...
std::map< long, int > | m_IdTypeMaps
| the zone frame type if known More...
std::vector< long > | m_tokenIdList
| the token id list More...
std::map< long, Section > | m_sectionList
| the list of section More...
int | m_numPages
int | m_actualPage
long | m_headerId
| the header text zone id or 0 More...
long | m_footerId
| the footer text zone id or 0 More...

## Detailed Description

Internal: the state of a HanMacWrdKText.

## Constructor & Destructor Documentation

## ◆ State()

HanMacWrdKTextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actualPage

int HanMacWrdKTextInternal::State::m_actualPage

## ◆ m_footerId

long HanMacWrdKTextInternal::State::m_footerId

the footer text zone id or 0

## ◆ m_headerId

long HanMacWrdKTextInternal::State::m_headerId

the header text zone id or 0

## ◆ m_IdTextMaps

std::multimap<long, std::shared_ptr<HanMacWrdKZone> > HanMacWrdKTextInternal::State::m_IdTextMaps

the map of id -> text zone

## ◆ m_IdTypeMaps

std::map<long,int> HanMacWrdKTextInternal::State::m_IdTypeMaps

the zone frame type if known

## ◆ m_numPages

int HanMacWrdKTextInternal::State::m_numPages

## ◆ m_sectionList

std::map<long, Section> HanMacWrdKTextInternal::State::m_sectionList

the list of section

Referenced by HanMacWrdKTextInternal::getSection().

## ◆ m_tokenIdList

std::vector<long> HanMacWrdKTextInternal::State::m_tokenIdList

the token id list

## ◆ m_version

int HanMacWrdKTextInternal::State::m_version
| mutable

the file version

The documentation for this struct was generated from the following file:

- HanMacWrdKText.cxx